.text-and-img {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 3rem;

  &:last-child {
    margin-bottom: 5rem;
  }

  @include media-breakpoint-down(md) {
    margin-left: 5%;
    margin-right: 5%;
  }

  p {
    &:last-child {
      margin-bottom: 0;
    }
  }

  img {
    border-radius: 5px;

    @include media-breakpoint-only(md) {
      max-height: 500px;
      width: 100%;
      object-position: top;
    }
  }

  // Placer l'image à gauche
  &--left {
    flex-direction: row-reverse;

    @include media-breakpoint-down(md) {
      flex-direction: column;
    }
  }

  // Placer l'image à droite
  &--right {
    flex-direction: row;

    @include media-breakpoint-down(md) {
      flex-direction: column;
    }
  }

  .col {
    @include media-breakpoint-down(md) {
      margin-top: 2rem;

      &:first-child {
        margin-top: 0;
      }
    }

    // Col full qui prends 100% en width
    &--full {
      min-width: 100%;

      @include media-breakpoint-up(lg) {
        margin-top: 2rem;
      }

      @include media-breakpoint-down(md) {
        // Permet de placer l'iframe toujours en bas du contenu en mode responsive
        order: 3;
      }
    }
  }
}
